Bug 16153 - gpk-application (fc9,i386) infinite loop on clicking "Other" list
Summary: gpk-application (fc9,i386) infinite loop on clicking "Other" list
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-29 16:59 UTC by rsweeny
Modified: 2008-09-26 08:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rsweeny 2008-05-29 16:59:58 UTC
uname -a
Linux localhost.localdomain 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53 EDT 2008 i686 i686 i386 GNU/Linux
Gnome 
  Version: 2.22.1
  Distributor: RedHat, Inc.
  Build Date: 05/07/2008
gnome-packagekit-0.1.12-12-20080430.fc9(i386)
gpk-application 0.1.12
PackageKit-0.1.12-10.20080505.fc9(i386)
yum repolist
Loaded plugins: refresh-packagekit
repo id              repo name                                 status
adobe-linux-i386     Adobe Systems Incorporated                enabled
fedora               Fedora 9 - i386                           enabled
livna                Livna for Fedora Core 9 - i386 - Base     enabled
updates              Fedora 9 - i386 - Updates                 enabled

In gpk-application window, left click on the "Other" category. The "Other" list displays but the query seems to go into an infinite loop. The list "jiggles" after about eight seconds. In lower left corner of window, query stays...never goes to finished. I started gpk-application from command line and watched its feedback under various tasks like clicking on other subsections. When clicking on "Other", the terminal feedback scrolls forever. I watched pkmon feedback for awhile under various gui tasks. It indicated all was ok with pk. It finished while gpk-application was indicating a permanent loop.
Comment 1 Richard Hughes 2008-05-30 02:09:15 UTC
What does "pkcon search group other" do?
Comment 2 rsweeny 2008-05-30 10:49:57 UTC
(In reply to comment #1)
> What does "pkcon search group other" do?
> Here are the last few lines of output.
pkcon search group other
.......
.......
available    kernel-PAE           i686    2.6.25.3-18.fc9 updates      The Linux kernel compiled for PAE capable machines
available    beagle-thunderbird   i386    0.3.7-4.fc9     updates      Beagle backend for Thunderbird
available    kst-fits             i386    1.6.0-2.fc9     updates      fits datasource plugin for kst
available    amarok-visualisation i386    1.4.9.1-3.fc9   updates      Visualisation plugins for Amarok
available    AdobeReader_ita      i486    8.1.2-1         adobe-linux-i386 Adobe Reader per Linux. Un applicazione che consente di visualizzare e stampare documenti PDF.
available    AdobeReader_fra      i486    8.1.2-1         adobe-linux-i386 Adobe Reader pour Linux. Une application permettant de visualiser, de parcourir et d imprimer des documents PDF.
available    AdobeReader_enu      i486    8.1.2-1         adobe-linux-i386 Adobe Reader for Linux. An application that can view, navigate and print PDF documents.
available    AdobeReader_nld      i486    8.1.2-1         adobe-linux-i386 Adobe Reader voor Linux. Een toepassing waarmee u PDF-documenten kunt weergeven en afdrukken en in PDF-documenten kunt navigeren.
available    AdobeReader_dan      i486    8.1.2-1         adobe-linux-i386 Adobe Reader til Linux. Et program, der kan bruges til navigation i samt visning og udskrivning af PDF-dokumenter.
search-group runtime was 16.8 seconds
 

Comment 3 Richard Hughes 2008-09-26 08:04:17 UTC
Should be fixed in 0.2.5 and 0.3.x


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.